import {FakeWidget, FakeService} from 'tests/__fixtures__/services';

export const DashboardsFactory = () => {
  return [
    {
      id: 'testing',
      name: 'Testing',
      services: [
        new FakeService({
          instance: 'fake_instance',
          widgetComponent: FakeWidget,
          characteristics: {
            appearance: {
              coolor: 'red',
            },
            spam: true,
          },
          layout: {
            x: 0,
            y: 0,
            w: 1,
            h: 1,
          },
        }),
        new FakeService({
          instance: 'other_fake_instance',
          widgetComponent: null,
          characteristics: {
            appearance: {
              coolor: 'red',
            },
            spam: true,
          },
          layout: {
            x: 0,
            y: 1,
            w: 1,
            h: 1,
          },
        }),
      ],
    },
    {
      id: 'testing2',
      name: 'Testing2',
      services: [],
    },
  ];
};
