import * as ServicesFixtures from 'tests/__fixtures__/services';

export const SettingsFactory = () => {
  return {
    DEBUG: false,
    HOMEHUB: {
      version: '1.0',
      build: 123,
    },
    INSTALLED_APPS: [],
    REDUX_MIDDLEWARES: [],
    LOCALES: {
      'en-us': 'English (United States)',
      'en-gb': 'English (United Kingdom)',
    },
    SERVICES: {
      FakeService: ServicesFixtures.FakeService,
      FakeServiceWithoutSettings: ServicesFixtures.FakeServiceWithoutSettings,
    },
    WIDGETS: {
      FakeWidget: ServicesFixtures.FakeWidget,
      FakeWidgetWithoutSettings: ServicesFixtures.FakeWidgetWithoutSettings,
    },
    WEBSOCKET: {
      url: 'ws://127.0.0.1:3010/backend/websocket',
    },
    OFFLINE_MODE: false,
    READ_ONLY: false,
  };
};
